org.apache.lucene.geo

## Class XYGeometry

- java.lang.Object
- - org.apache.lucene.geo.XYGeometry

Direct Known Subclasses:
  XYCircle, XYLine, XYPoint, XYPolygon, XYRectangle

    public abstract class XYGeometry
    extends Object

Cartesian Geometry object.

### Constructor Summary

Constructors
Constructor and Description
`XYGeometry()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`static Component2D` `create(XYGeometry... xyGeometries)` Creates a Component2D from the provided XYGeometries array
`protected abstract Component2D` `toComponent2D()` get a Component2D from this object

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XYGeometry

    public XYGeometry()

### Method Detail

#### toComponent2D

    protected abstract Component2D toComponent2D()

get a Component2D from this object

#### create

    public static Component2D create(XYGeometry... xyGeometries)

Creates a Component2D from the provided XYGeometries array